<?php

namespace App\Tests\Unit;

/**
 * Classe de base pour les tests unitaires nécessitant
 * un accès au kernel et à la base de données de test
 *
 */
trait TestToolsTrait
{
   /**
     * Exécute une méthode quelque soit son niveau de visibilité
     * @param $object
     * @param $methodName
     * @param array $parameters
     * @return mixed
     * @throws \ReflectionException
     */
    protected function invokeMethod(&$object, $methodName, array $parameters = array())
    {
        $reflection = new \ReflectionClass(get_class($object));
        $method = $reflection->getMethod($methodName);
        $method->setAccessible(true);
        return $method->invokeArgs($object, $parameters);
    }
}
